html {
  height: 90%;
}
body {
  font-family: "Trebuchet MS", Helvetica, sans-serif;
  font-size: 14px;
  background-color: white;
  color: #000;
  margin: 20px;
  height: 100%;
}

.container {
  margin: auto;
  margin-top: 0px;
  padding: 0px;
  width: 1000px;
  height: 100%;
  /* border: 5px solid #A6192D; */
  border-radius: 10px;
  background-color: #eee;
  box-shadow: 0px 0px 15px 10px #333;
  /* border: 5px solid yellow; */
}

.innerContainer {
  margin: auto;
  margin-top: 0px;
  padding: 0px 10px 0px 10px;
  position: relative;
  height: 100%;
  width: 100%
  display: table;
  /* border: 5px solid blue; */
}

.title {
  font-family: "Courier New", courier;
  /* width: 100%; */
  font-weight: bold;
  color: #fff;
  background: #A6192D;
  padding: 5px;
  margin: 0px;
  font-size: 1.3em;
  /* display: block; */
  text-align: center;
  border-radius: 9px 9px 0px 0px;
  /* border: 5px solid green; */
  position: relative;
}

.footer {
  font-family: "Courier New", courier;
  /* width: 100%; */
  height: 20px;
  font-weight: bold;
  color: #fff;
  background: #A6192D;
  padding: 5px;
  margin: 0px;
  font-size: .8em;
  /* display: block; */
  text-align: center;
  border-radius: 0px 0px 9px 9px;
  position: relative;
  /* border: 5px solid fuchsia; */
}


input, select {
  width: 400px;
}

input.submit {
  width: 150px;
  margin-left: 220px;
}

.resultsField {
  border: 1px solid grey;
  margin: auto;
  padding: 5px;
  font-family: "Courier New", courier, monospace;
}
.resultsContainer {
  border: 0px solid grey;
  border-radius: 5px;
  box-shadow: 0px 0px 10px 10px #333;
  border: 5px solid #A6192D;
  margin: auto;
  margin-top: 20px;
  padding: 5px;
  width: 800px;
  background: #eee;
  font-family: "Courier New", courier, monospace;
}
.debug {
  border: 1px solid black;
  margin: 20px;
  padding: 5px;
  font-family: "Courier New", courier, monospace;
}

.form-fields {
  display: table;
}

.form-field {
  display: table-row;
}

.form-field-label,
.form-field-control,
.form-field-comment {
  display: table-cell;
  padding: 3px 10px;
  height: 3em;
  vertical-align: middle;
}

.form-field-label {
  text-align: right;
  width: 200px;
}
.formButtonsContainer {
  margin: auto;
  margin-top: 10px;
  border: 0px solid black;
  text-align: center;
}

.copyButton, .resetButton, .generateButton {
  border: 1px solid black;
  border-radius: 5px;
  box-shadow: 2px 2px 2px 2px #333;
  transition-duration: 0.4s;
}

input.resetButton, input.generateButton {
  width: 150px;
  margin: 5px;
}

.resetButton:hover {
  background-color: #f00;
  color: white;
}
.generateButton:hover, .copyButton:hover {
  background-color: #4CAF50; /* Green */
  color: white;
}


